Menuhax death?

Discussion in '3DS - Homebrew Development and Emulators' started by Pony1993, Nov 25, 2016.

  1. Pony1993
    OP

    Pony1993 Member

    Newcomer
    38
    0
    Nov 21, 2016
    United States
    20161125_021608.jpg In trying to install menuhax since I forgot to install arm9.... But get this error
     
    Last edited by Pony1993, Nov 25, 2016


  2. Kloklopfer

    Kloklopfer GBAtemp Regular

    Member
    121
    40
    Aug 4, 2016
    Gambia, The
    Ohh that error yes your menuhax is dead if you havent installed your arm9 or arm11 yet
     
    THEELEMENTKH likes this.
  3. Pony1993
    OP

    Pony1993 Member

    Newcomer
    38
    0
    Nov 21, 2016
    United States
    So what can I do
     
  4. Mattshark

    Mattshark GBAtemp Regular

    Member
    246
    54
    Aug 31, 2015
    United States
    My menuhax still works fine...

    If you're using a 3ds version past 9.2 however, then it won't work.
     
  5. Pony1993
    OP

    Pony1993 Member

    Newcomer
    38
    0
    Nov 21, 2016
    United States
    I updated the 3ds
     
  6. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    You can put a payload as /menuhax/menuhaxmanager_input_payload.bin so it doesn't need to download it.
     
  7. Mattshark

    Mattshark GBAtemp Regular

    Member
    246
    54
    Aug 31, 2015
    United States
    Ah, you updated.

    Past 9.2, menuhax will no longer work. If you don't have any way of downgrading or restoring an emuNAND backup, there's no way to get MenuHax working again.
     
    Last edited by Mattshark, Nov 25, 2016
  8. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    This is untrue afaik. It should work untill 11.0.0.X.
     
  9. Pony1993
    OP

    Pony1993 Member

    Newcomer
    38
    0
    Nov 21, 2016
    United States
    Any payload? Or what kind?
     
  10. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    The ropbin of your version, unless you're in 11.1 or 11.2.
    It's all in yellows8 github.
     
  11. Pony1993
    OP

    Pony1993 Member

    Newcomer
    38
    0
    Nov 21, 2016
    United States
    I'm on 11.2
     
  12. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    So then you can't install it. You'll need to downgrade if it's a sysnand.
     
  13. Pony1993
    OP

    Pony1993 Member

    Newcomer
    38
    0
    Nov 21, 2016
    United States
    Sysnand is on 9.2.0-20u

    And emunand recent
     
  14. djh816

    djh816 Newbie

    Newcomer
    9
    1
    Nov 25, 2016
    United States
    Easiest way if you don't care about saved data is to completely format the SD card and start fresh on your 9.2 system with this guide. Much better failsafes in the end too ;) https://plailect.github.io/Guide/ I just did this from a 9.2 stock system with 10.x emunand and helped two friends on 9.2 do the same guide from stock 9.2 systems. You'll end up with a sysnand running 11.x but its exploit is done immediately on boot and failsafes can be started with any button press on boot combined with a properly labeled payload on the sdcard. MUCH better failsafe than the best of emunnands :) a9lh ftw Edit: All were o3ds
     
    Last edited by djh816, Nov 25, 2016
  15. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    And you are installing menuhax in emunand? why?
     
  16. djh816

    djh816 Newbie

    Newcomer
    9
    1
    Nov 25, 2016
    United States
    Probably just out of the scene for a bit :P I went for a few months on 9.2 sysnand + 10.x emunand until a few people on IRC mentioned the advantages to a9lh
     
  17. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    Change to A9LH if you want to, but don't say other people to do it. He's asking other thing so please, answer to that.
     
  18. djh816

    djh816 Newbie

    Newcomer
    9
    1
    Nov 25, 2016
    United States
    He's asking the question because (by my interpretation) he has lost access to the homebrew setup he is familiar with. I am suggesting he go with one of the mainstream options going forward so as to avoid the dependency on outdated menuhax and a download of internet accessible config files that are no longer accessible... If you have a better suggestion please provide it but I don't see what's wrong with suggesting a9lh over outdated menuhax. Again please feel free to correct me, just trying to help. Edit: Along the same lines as my previous post here, I apologize if I came across as anything more than a o3ds user who has had success with a9lh. I don't claim it as the only or best solution, just that I am familiar with it and that from my 9.2 o3ds systems it has served me well.
     
    Last edited by djh816, Nov 25, 2016
  19. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    If that's the case (we still don't know, that's why I was asking him if he was tring to install it in sysnand or emunand) then it would be easier and more simple just to install again menuhax.
    He doesn't seem to know much about the scene, and A9LH can be kinda stressful for some people, since it takes a long time and don't really know what he's doing.
    He's asking for putting menuhax again, not how to install A9LH.
     
  20. djh816

    djh816 Newbie

    Newcomer
    9
    1
    Nov 25, 2016
    United States
    Fair enough, I'm just mentioning it as an easy/smarter alternative to menuhax and in my opinion it's a much better injection point for future firmwares. Emunand can easily be broken by a smart update by Nintendo and more than that the menuhax and various other entry points to homebrew are deprecated or useless on later firmwares.

    Edit: Also from their first post, "In trying to install menuhax since I forgot to install arm9.", it sounds like he was intending to install a9lh but was unable to.
     
    Last edited by djh816, Nov 25, 2016